Subject: Re: bug#34690: 26.1; Emacs gets stuck when replacing text

From: Daniel Hernandez <[email-masked]>
Date: Fri, 01 Mar 2019 11:37:10 -0300

---- On vie, 01 mar 2019 04:36:47 -0300 Eli Zaretskii <[email-masked]> wrote ---- 
 > > Date: Thu, 28 Feb 2019 20:16:55 -0300 
 > > From: Daniel Hernandez <[email-masked]> 
 > >  
 > >  
 > > Exactly after pressing M-% to replace text, Emacs gets stuck. The emacs 
 > > process was using 90% of the CPU until I killed the process.  The 
 > > problem started when I customize the font. If I comment the lines that 
 > > Custom added to the ".emacs" file, then the problem disappeared. 
 >  
 > Does this happen with any text in any buffer, and with any search and 
 > replacement strings? or just with some? 
 
It happens with any buffer; even with an empty one.
This problem occurs also when I only have that lines in
the ".emacs" file.
  
 > > The lines added by Custom are the following: 
 > >  
 > > (custom-set-faces 
 > >  ;; custom-set-faces was added by Custom. 
 > >  ;; If you edit it by hand, you could mess it up, so be careful. 
 > >  ;; Your init file should contain only one such instance. 
 > >  ;; If there is more than one, they won't work right. 
 > >  '(default ((t (:family "Inconsolata" :foundry "unknown" :slant 
 > >  normal :weight normal :height 128 :width normal))))) 
 >  
 > Only with this particular font, or with any font? 
 
I noticed that it occurs with some font and it does not occur
with other. For instance, it does not occur with DejaVu Sans
Mono. That is, it does not occur with the following lines:

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown"
 :slant normal :weight normal :height 98 :width normal)))))

Another detail. When it occurs the text "Query replace:" is
not showed.